@mixin digi-notification-alert--variables() {
  --digi--notification-alert--heading--font-weight: var(--digi--typography--heading-3--font-weight--desktop);
  --digi--notification-alert--heading--font-size: var(--digi--typography--heading-3--font-size--desktop);
  --digi--notification-alert--heading--font-size--large: var(--digi--typography--heading-3--font-size--desktop-large);
  --digi--notification-alert--icon--padding--large: var(--digi--gutter--largest);
  --digi--notification-alert--icon--padding--medium: var(--digi--gutter--largest);
  --digi--notification-alert--icon--padding--small: var(--digi--gutter--large);
  --digi--notification-alert--icon--width--large: 2.25rem;
  --digi--notification-alert--icon--width--medium: 1.4375rem;
  --digi--notification-alert--icon--width--small: 1.4375rem;
  --digi--notification-alert--max-width--large: 100%;
  --digi--notification-alert--max-width--medium: 31.25rem;
  --digi--notification-alert--max-width--small: 18.75rem;

  --digi--notification-alert--border--informative: var(--digi--border-width--secondary) solid var(--digi--color--border--informative);
  --digi--notification-alert--icon--color--informative: var(--digi--color--text--inverted);
  --digi--notification-alert--icon--background--informative: var(--digi--color--background--informative);

  --digi--notification-alert--border--success: var(--digi--border-width--secondary) solid var(--digi--color--border--success);
  --digi--notification-alert--icon--color--success: var(--digi--color--text--inverted);
  --digi--notification-alert--icon--background--success: var(--digi--color--background--success-1);

  --digi--notification-alert--border--warning: var(--digi--border-width--secondary) solid var(--digi--color--border--warning);
  --digi--notification-alert--icon--color--warning: var(--digi--color--text--primary);
  --digi--notification-alert--icon--background--warning: var(--digi--color--background--warning-1);

  --digi--notification-alert--border--danger: var(--digi--border-width--secondary) solid var(--digi--color--border--danger);
  --digi--notification-alert--icon--color--danger: var(--digi--color--text--inverted);
  --digi--notification-alert--icon--background--danger: var(--digi--color--background--danger-1);
}

/** Do not touch! Autogenerated 
* @prop --digi--notification-alert--heading--font-weight: var(--digi--typography--heading-3--font-weight--desktop);
* @prop --digi--notification-alert--heading--font-size: var(--digi--typography--heading-3--font-size--desktop);
* @prop --digi--notification-alert--heading--font-size--large: var(--digi--typography--heading-3--font-size--desktop-large);
* @prop --digi--notification-alert--icon--padding--large: var(--digi--gutter--largest);
* @prop --digi--notification-alert--icon--padding--medium: var(--digi--gutter--largest);
* @prop --digi--notification-alert--icon--padding--small: var(--digi--gutter--large);
* @prop --digi--notification-alert--icon--width--large: 2.25rem;
* @prop --digi--notification-alert--icon--width--medium: 1.4375rem;
* @prop --digi--notification-alert--icon--width--small: 1.4375rem;
* @prop --digi--notification-alert--max-width--large: 100%;
* @prop --digi--notification-alert--max-width--medium: 31.25rem;
* @prop --digi--notification-alert--max-width--small: 18.75rem;
* @prop --digi--notification-alert--border--informative: var(--digi--border-width--secondary) solid var(--digi--color--border--informative);
* @prop --digi--notification-alert--icon--color--informative: var(--digi--color--text--inverted);
* @prop --digi--notification-alert--icon--background--informative: var(--digi--color--background--informative);
* @prop --digi--notification-alert--border--success: var(--digi--border-width--secondary) solid var(--digi--color--border--success);
* @prop --digi--notification-alert--icon--color--success: var(--digi--color--text--inverted);
* @prop --digi--notification-alert--icon--background--success: var(--digi--color--background--success-1);
* @prop --digi--notification-alert--border--warning: var(--digi--border-width--secondary) solid var(--digi--color--border--warning);
* @prop --digi--notification-alert--icon--color--warning: var(--digi--color--text--primary);
* @prop --digi--notification-alert--icon--background--warning: var(--digi--color--background--warning-1);
* @prop --digi--notification-alert--border--danger: var(--digi--border-width--secondary) solid var(--digi--color--border--danger);
* @prop --digi--notification-alert--icon--color--danger: var(--digi--color--text--inverted);
* @prop --digi--notification-alert--icon--background--danger: var(--digi--color--background--danger-1);
*/